function commandMode = rheodyne232objreadcommandmode(serialObject)
% RHEODYNE232OBJREADCOMMANDMODE returns the current command mode
% commandMode = rheodyne232objreadcommandmode(serialObject)
% returns the command code from the Rheodyne valve.  It is not
% clear what the code refers to.

% checks the number of arguments
error(nargchk(1, 1, nargin))

% gets the status
commandMode = rheodyne232objcomm(serialObject, 'D');