function lastErrorCode = rheodyne232objreadlasterror(serialObject)
% RHEODYNE232OBJREADLASTERROR returns the last error code
% lastErrorCode = rheodyne232objreadlasterror(serialObject)
% returns the most recent error code from the Rheodyne valve.

% checks the number of arguments
error(nargchk(1, 1, nargin))

% gets the status
lastErrorCode = rheodyne232objcomm(serialObject, 'E');