function valveProfile = rheodyne232objreadvalveprofile(serialObject)
% RHEODYNE232OBJREADVALVEPROFILE returns the valve profile
% valveProfile = rheodyne232objreadvalveprofile(serialObject)
% returns the current profile of the Rheodyne valve as a code.  It is
% unknown actually what the "profile" is at this time.  It has only been
% seen as "10" so far.

% checks the number of arguments
error(nargchk(1, 1, nargin))

% gets the status
valveProfile = rheodyne232objcomm(serialObject, 'Q');