function valvePosition = rheodyne232objreadvalveposition(serialObject)
% RHEODYNE232READOBJVALVEPOSITION returns the postion of the Rheodyne valve
% valvePosition = rheodyne232objreadvalveposition(serialObject) returns the
% current position of the Rheodyne valve. HOWEVER, this only ever seems to
% return "10", regardless of the actual valve position.

% checks the number of arguments
error(nargchk(1, 1, nargin))

% gets the status
valvePosition = rheodyne232objcomm(serialObject, 'S');