function firmwareVersion = rheodyne232objreadversion(serialObject)
% RHEODYNE232OBJREADVERSION returns the firmware version
% firmwareVersion = rheodyne232objreadversion(serialObject)
% returns the current firmware version of the Rheodyne valve.

% checks the number of arguments
error(nargchk(1, 1, nargin))

% gets the status
firmwareVersion = rheodyne232objcomm(serialObject, 'R');